Test the configuration
- Last Updated: January 17, 2023
- 2 minute read
- OpenEdge
- Version 13.0
- Documentation
Test application access using the new configuration.
Restart the PAS for OpenEdge instance
Restart the OpenEdge Authentication Gateway server to use the property changes.
- Run the Proenv command-line tool.
- From the PAS for OpenEdge instance directory, run the
pasman.[bat|sh] oeservercommand:proenv>pasman oeserver -restart -I oepas1
pasman.[bat|sh]oeserver
-h command to access online help.Restart the OpenEdge Authentication Gateway
Restart the OpenEdge Authentication Gateway server to use the property changes.
- Run the Proenv command-line tool.
- From the oeauthserver directory, run
the
pasman.[bat|sh] oeservercommand:proenv>pasman oeserver -restart -I oeauthserver
pasman.[bat|sh]oeserver
-h command to access online help.Generate a bearer token
- Generate a bearer token by using the CURL command to simulate the login.
proenv>curl -k https://hostname:port/jwt/user1
Note: Here, hostname and port are the host name and port number of the OESECTOOL OAuth2 authorization server, oauth2server. For testing purposes, only the username and no password is sent to the oauth2server. - Copy the token.
Test client access to PAS for OpenEdge services
Use the CURL command to test access to the oe_ping command.
- Run the following CURL command.
proenv>curl -k -H "Authorization: Bearer token" https://hostname:port/rest/_oepingService/_oeping
Note: Use the generatedtokenfrom the "Generate a bearer token" details, and use the PAS for OpenEdge hostname and port. Remote validation is performed using theoauth2.opaqueToken.instrospectionUriproperty configured in sts.properties for the OpenEdge Authentication Gateway. - Review the results.